Package org.apache.ignite.internal.binary

## Interface BinaryWriteReplacer

All Known Implementing Classes:
  `BinaryMethodWriteReplacer`, `BinaryTreeMapWriteReplacer`, `BinaryTreeSetWriteReplacer`

    public interface BinaryWriteReplacer

Interface to perform write replace.

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable Object` `replace​(Object target)` Perform replace.

### Method Detail

#### replace

    @Nullable
    @Nullable Object replace​(Object target)

Perform replace.

Parameters:
  `target` - Original object.
Returns:
  Replaced object.